package AdThreeAnalysis;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class AdShareItem extends JceStruct {
    public String shareImgUrl;
    public String shareSubtitle;
    public String shareTitle;
    public String shareUrl;

    public AdShareItem() {
        super();
        this.shareUrl = "";
        this.shareTitle = "";
        this.shareSubtitle = "";
        this.shareImgUrl = "";
    }

    public AdShareItem(String arg2, String arg3, String arg4, String arg5) {
        super();
        this.shareUrl = "";
        this.shareTitle = "";
        this.shareSubtitle = "";
        this.shareImgUrl = "";
        this.shareUrl = arg2;
        this.shareTitle = arg3;
        this.shareSubtitle = arg4;
        this.shareImgUrl = arg5;
    }

    public final void readFrom(c arg3) {
        this.shareUrl = arg3.b(0, false);
        this.shareTitle = arg3.b(1, false);
        this.shareSubtitle = arg3.b(2, false);
        this.shareImgUrl = arg3.b(3, false);
    }

    public final void writeTo(d arg3) {
        if(this.shareUrl != null) {
            arg3.a(this.shareUrl, 0);
        }

        if(this.shareTitle != null) {
            arg3.a(this.shareTitle, 1);
        }

        if(this.shareSubtitle != null) {
            arg3.a(this.shareSubtitle, 2);
        }

        if(this.shareImgUrl != null) {
            arg3.a(this.shareImgUrl, 3);
        }
    }

}
